javax.faces.model

## Class DataModelEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.model.DataModelEvent

- All Implemented Interfaces:
    Serializable

      public class DataModelEvent
      extends EventObject

  DataModelEvent represents an event of interest to registered listeners that occurred on the specified `DataModel`.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataModelEvent(DataModel model, int index, Object data)` Construct an event object that is associated with the specified row index and associated data.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataModel` | `getDataModel()` Return the `DataModel` that fired this event.
    `Object` | `getRowData()` Return the object representing the data for the specified row index, or `null` for no associated row data.
    `int` | `getRowIndex()` Return the row index for this event, or -1 for no specific row.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataModelEvent

          public DataModelEvent(DataModel model,
                        int index,
                        Object data)

      Construct an event object that is associated with the specified row index and associated data.

      Parameters:
        `model` - The `DataModel` on which this event occurred
        `index` - The zero relative row index for which this event occurred, or -1 for no specific row association
        `data` - Representation of the data for the row specified by `index`, or `null` for no particular row data

  - ### Method Detail

    - #### getDataModel

          public DataModel getDataModel()

      Return the `DataModel` that fired this event.

    - #### getRowData

          public Object getRowData()

      Return the object representing the data for the specified row index, or `null` for no associated row data.

    - #### getRowIndex

          public int getRowIndex()

      Return the row index for this event, or -1 for no specific row.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.